import java.net.URI
import com.vmware.cb.self.service.ingestion.Jobs.Job
import com.vmware.cb.self.service.ingestion.Main
import com.amazonaws.services.glue.util.GlueArgParser

object SelfServiceIngestion {
    def main(sysArgs: Array[String]): Unit = {
        val args = GlueArgParser.getResolvedOptions(
            sysArgs, Array(
                "dataSource",
                "environment")
        )

        var confPath = "s3://" + args("environment") + "-ssi-infra-tools/configurations/" + args("dataSource") + "/configuration.yaml"

        new Main()
            .instantiate(new URI(confPath))
            .run(Job.SELF_SERVICE_GENERIC_IMPORT_JOB)
    }
}
